# NodeBodyCreate

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**name** | **str** | The name must not contain spaces or the following special characters: * \&quot; &lt; &gt; \\ / ? : and |. The character . must not be used at the end of the name.  | 
**node_type** | **str** |  | 
**aspect_names** | **list[str]** |  | [optional] 
**properties** | **object** |  | [optional] 
**permissions** | [**PermissionsBody**](PermissionsBody.md) |  | [optional] 
**definition** | [**Definition**](Definition.md) |  | [optional] 
**relative_path** | **str** |  | [optional] 
**association** | [**NodeBodyCreateAssociation**](NodeBodyCreateAssociation.md) |  | [optional] 
**secondary_children** | [**list[ChildAssociationBody]**](ChildAssociationBody.md) |  | [optional] 
**targets** | [**list[AssociationBody]**](AssociationBody.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


